Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.manager
Class PortletServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.bea.netuix.servlets.manager.UIServlet
                  com.bea.netuix.servlets.manager.SingleFileServlet
                      com.bea.netuix.servlets.manager.PortalServlet
                          com.bea.netuix.servlets.manager.PortletServlet

All Implemented Interfaces
  com.bea.netuix.nf.container.jsp.JspContextTreeLookup, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Deprecated Use PortalServlet, this is just a placeholder for backwards compatability.

    @Deprecated
    public class PortletServlet

extends PortalServlet

Front door servlet for standalone portlets.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.netuix.servlets.manager.PortalServlet
`PortalServlet.UserCacheFlushSessionBindingListener`

Field Summary

Fields inherited from class com.bea.netuix.servlets.manager.PortalServlet
`portalCustomizationManager`

Fields inherited from class com.bea.netuix.servlets.manager.SingleFileServlet
`fullPortal`

Fields inherited from class com.bea.netuix.servlets.manager.UIServlet
`KEY_CONTENT, PATH_INFO, PROFILE_ON, PROFILE_OUTPUT_FREQUENCY, SERVLET_PATH, STREAM_REQUEST_FILE, STREAMING_JSPX, STREAMING_JSPX_FILE_PARAM`

Constructor Summary
`PortletServlet()` Deprecated

Method Summary
`void` | `init()` Deprecated
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Deprecated

Methods inherited from class com.bea.netuix.servlets.manager.PortalServlet
`createCacheKey, createControlTreeData, getCachedControlTreeBytes, getFromTreeCache, getTreeFromJspx, init, injectExternalEventGenerators, putInTreeCache, putInTreeCache, removeFromTreeCache`

Methods inherited from class com.bea.netuix.servlets.manager.UIServlet
`createJspContext, doGet, doPost, getDefaultPackage, getDefaultPageName, getTree, getTree, getTreeForUrl, getTreeForUrl, processAjaxRequest, processControlTree, setContentType`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletServlet

    public PortletServlet()

  Deprecated

Method Detail

### init

    @Deprecated
    public void init()
              throws javax.servlet.ServletException

  Deprecated

  Description copied from class: `PortalServlet`

  Initalize this servlet.

  Overrides:
    `init` in class `PortalServlet`
  Throws
    `javax.servlet.ServletException`

### service

    @Deprecated
    public void service(javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse response)
                 throws javax.servlet.ServletException,
                        IOException

  Deprecated

  Description copied from class: `PortalServlet`
  service method.

  Overrides:
    `service` in class `PortalServlet`
  Parameters
    `request` - HttpServletRequest
    `response` - HttpServletResposne
  Throws
    `javax.servlet.ServletException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved